/* Copyright (C) 1998 Odysseas Pentakalos and Aram Khalili

  This program is freely distributable under the GNU General
  Public License Version 2 or later. The GNU GPL is available
  from the Free Software Foundation, Inc., 59 Temple Place,
  Suite 330, Boston, MA 02111-1307, USA.

  The authors can be contacted by email :
  Odysseas Pentakalos : odysseas@cs.umbc.edu
  Aram Khalili        : akhali1@gl.umbc.edu
*/

#include <stdio.h>
#include <string.h>
#include <scsi/sg.h>
#include <scsi/scsi.h>
#include <sys/types.h>
#include "tapelib.h"

int load(int fd, int luflag)
{
  typedef struct {
    struct sg_header head;
    u_char cmd[6];
  } SCSI_Cmd_t;

  SCSI_Cmd_t Cmd;
  int i, ret;

  for (i=0; i<6; i++)
    Cmd.cmd[i]=0;


  Cmd.cmd[0]=START_STOP;
  Cmd.cmd[1]=0;
  Cmd.cmd[2]=0;
  Cmd.cmd[3]=0;
  Cmd.cmd[4]=luflag & 0x01;
  Cmd.cmd[5]=0;

  /*
    Prepare the header
    */
  Cmd.head.pack_len=sizeof(SCSI_Cmd_t);

#ifdef DEBUG
  printf("load: Sending out the START_STOP command\n");
  printf("position_elt: using a load/unload flag of %d\n",
	 luflag);
#endif DEBUG

  ret=write(fd, &Cmd, sizeof(Cmd));

#ifdef DEBUG
  printf("load: The write returned %d status\n", ret);
#endif DEBUG

  /*
    Now lets read back the results
    */
  ret=read(fd, &Cmd, sizeof(Cmd));

#ifdef DEBUG
  printf("load: The read returned %d bytes\n", ret);
#endif DEBUG

  return ret;

}













